// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Interval between two date and time points.
 * </pre>
 *
 * Protobuf type {@code commonmodule.DateTimeInterval}
 */
public final class DateTimeInterval extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:commonmodule.DateTimeInterval)
    DateTimeIntervalOrBuilder {
private static final long serialVersionUID = 0L;
  // Use DateTimeInterval.newBuilder() to construct.
  private DateTimeInterval(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private DateTimeInterval() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new DateTimeInterval();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_DateTimeInterval_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_DateTimeInterval_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.commonmodule.DateTimeInterval.class, openfmb.commonmodule.DateTimeInterval.Builder.class);
  }

  public static final int END_FIELD_NUMBER = 1;
  private com.google.protobuf.Int64Value end_;
  /**
   * <pre>
   * End date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value end = 1;</code>
   * @return Whether the end field is set.
   */
  @java.lang.Override
  public boolean hasEnd() {
    return end_ != null;
  }
  /**
   * <pre>
   * End date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value end = 1;</code>
   * @return The end.
   */
  @java.lang.Override
  public com.google.protobuf.Int64Value getEnd() {
    return end_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : end_;
  }
  /**
   * <pre>
   * End date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value end = 1;</code>
   */
  @java.lang.Override
  public com.google.protobuf.Int64ValueOrBuilder getEndOrBuilder() {
    return end_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : end_;
  }

  public static final int START_FIELD_NUMBER = 2;
  private com.google.protobuf.Int64Value start_;
  /**
   * <pre>
   * Start date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value start = 2;</code>
   * @return Whether the start field is set.
   */
  @java.lang.Override
  public boolean hasStart() {
    return start_ != null;
  }
  /**
   * <pre>
   * Start date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value start = 2;</code>
   * @return The start.
   */
  @java.lang.Override
  public com.google.protobuf.Int64Value getStart() {
    return start_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : start_;
  }
  /**
   * <pre>
   * Start date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value start = 2;</code>
   */
  @java.lang.Override
  public com.google.protobuf.Int64ValueOrBuilder getStartOrBuilder() {
    return start_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : start_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (end_ != null) {
      output.writeMessage(1, getEnd());
    }
    if (start_ != null) {
      output.writeMessage(2, getStart());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (end_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getEnd());
    }
    if (start_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getStart());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.commonmodule.DateTimeInterval)) {
      return super.equals(obj);
    }
    openfmb.commonmodule.DateTimeInterval other = (openfmb.commonmodule.DateTimeInterval) obj;

    if (hasEnd() != other.hasEnd()) return false;
    if (hasEnd()) {
      if (!getEnd()
          .equals(other.getEnd())) return false;
    }
    if (hasStart() != other.hasStart()) return false;
    if (hasStart()) {
      if (!getStart()
          .equals(other.getStart())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasEnd()) {
      hash = (37 * hash) + END_FIELD_NUMBER;
      hash = (53 * hash) + getEnd().hashCode();
    }
    if (hasStart()) {
      hash = (37 * hash) + START_FIELD_NUMBER;
      hash = (53 * hash) + getStart().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.commonmodule.DateTimeInterval parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.DateTimeInterval parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.DateTimeInterval parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.DateTimeInterval parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.DateTimeInterval parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.DateTimeInterval parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.DateTimeInterval parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.DateTimeInterval parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.DateTimeInterval parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.DateTimeInterval parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.DateTimeInterval parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.DateTimeInterval parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.commonmodule.DateTimeInterval prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Interval between two date and time points.
   * </pre>
   *
   * Protobuf type {@code commonmodule.DateTimeInterval}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:commonmodule.DateTimeInterval)
      openfmb.commonmodule.DateTimeIntervalOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_DateTimeInterval_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_DateTimeInterval_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.commonmodule.DateTimeInterval.class, openfmb.commonmodule.DateTimeInterval.Builder.class);
    }

    // Construct using openfmb.commonmodule.DateTimeInterval.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      end_ = null;
      if (endBuilder_ != null) {
        endBuilder_.dispose();
        endBuilder_ = null;
      }
      start_ = null;
      if (startBuilder_ != null) {
        startBuilder_.dispose();
        startBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_DateTimeInterval_descriptor;
    }

    @java.lang.Override
    public openfmb.commonmodule.DateTimeInterval getDefaultInstanceForType() {
      return openfmb.commonmodule.DateTimeInterval.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.commonmodule.DateTimeInterval build() {
      openfmb.commonmodule.DateTimeInterval result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.commonmodule.DateTimeInterval buildPartial() {
      openfmb.commonmodule.DateTimeInterval result = new openfmb.commonmodule.DateTimeInterval(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.commonmodule.DateTimeInterval result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.end_ = endBuilder_ == null
            ? end_
            : endBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.start_ = startBuilder_ == null
            ? start_
            : startBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.commonmodule.DateTimeInterval) {
        return mergeFrom((openfmb.commonmodule.DateTimeInterval)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.commonmodule.DateTimeInterval other) {
      if (other == openfmb.commonmodule.DateTimeInterval.getDefaultInstance()) return this;
      if (other.hasEnd()) {
        mergeEnd(other.getEnd());
      }
      if (other.hasStart()) {
        mergeStart(other.getStart());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getEndFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getStartFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private com.google.protobuf.Int64Value end_;
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> endBuilder_;
    /**
     * <pre>
     * End date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value end = 1;</code>
     * @return Whether the end field is set.
     */
    public boolean hasEnd() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * End date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value end = 1;</code>
     * @return The end.
     */
    public com.google.protobuf.Int64Value getEnd() {
      if (endBuilder_ == null) {
        return end_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : end_;
      } else {
        return endBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * End date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value end = 1;</code>
     */
    public Builder setEnd(com.google.protobuf.Int64Value value) {
      if (endBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        end_ = value;
      } else {
        endBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * End date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value end = 1;</code>
     */
    public Builder setEnd(
        com.google.protobuf.Int64Value.Builder builderForValue) {
      if (endBuilder_ == null) {
        end_ = builderForValue.build();
      } else {
        endBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * End date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value end = 1;</code>
     */
    public Builder mergeEnd(com.google.protobuf.Int64Value value) {
      if (endBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          end_ != null &&
          end_ != com.google.protobuf.Int64Value.getDefaultInstance()) {
          getEndBuilder().mergeFrom(value);
        } else {
          end_ = value;
        }
      } else {
        endBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * End date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value end = 1;</code>
     */
    public Builder clearEnd() {
      bitField0_ = (bitField0_ & ~0x00000001);
      end_ = null;
      if (endBuilder_ != null) {
        endBuilder_.dispose();
        endBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * End date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value end = 1;</code>
     */
    public com.google.protobuf.Int64Value.Builder getEndBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getEndFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * End date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value end = 1;</code>
     */
    public com.google.protobuf.Int64ValueOrBuilder getEndOrBuilder() {
      if (endBuilder_ != null) {
        return endBuilder_.getMessageOrBuilder();
      } else {
        return end_ == null ?
            com.google.protobuf.Int64Value.getDefaultInstance() : end_;
      }
    }
    /**
     * <pre>
     * End date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value end = 1;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
        getEndFieldBuilder() {
      if (endBuilder_ == null) {
        endBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                getEnd(),
                getParentForChildren(),
                isClean());
        end_ = null;
      }
      return endBuilder_;
    }

    private com.google.protobuf.Int64Value start_;
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> startBuilder_;
    /**
     * <pre>
     * Start date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value start = 2;</code>
     * @return Whether the start field is set.
     */
    public boolean hasStart() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * Start date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value start = 2;</code>
     * @return The start.
     */
    public com.google.protobuf.Int64Value getStart() {
      if (startBuilder_ == null) {
        return start_ == null ? com.google.protobuf.Int64Value.getDefaultInstance() : start_;
      } else {
        return startBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * Start date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value start = 2;</code>
     */
    public Builder setStart(com.google.protobuf.Int64Value value) {
      if (startBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        start_ = value;
      } else {
        startBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Start date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value start = 2;</code>
     */
    public Builder setStart(
        com.google.protobuf.Int64Value.Builder builderForValue) {
      if (startBuilder_ == null) {
        start_ = builderForValue.build();
      } else {
        startBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Start date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value start = 2;</code>
     */
    public Builder mergeStart(com.google.protobuf.Int64Value value) {
      if (startBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          start_ != null &&
          start_ != com.google.protobuf.Int64Value.getDefaultInstance()) {
          getStartBuilder().mergeFrom(value);
        } else {
          start_ = value;
        }
      } else {
        startBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Start date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value start = 2;</code>
     */
    public Builder clearStart() {
      bitField0_ = (bitField0_ & ~0x00000002);
      start_ = null;
      if (startBuilder_ != null) {
        startBuilder_.dispose();
        startBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Start date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value start = 2;</code>
     */
    public com.google.protobuf.Int64Value.Builder getStartBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getStartFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * Start date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value start = 2;</code>
     */
    public com.google.protobuf.Int64ValueOrBuilder getStartOrBuilder() {
      if (startBuilder_ != null) {
        return startBuilder_.getMessageOrBuilder();
      } else {
        return start_ == null ?
            com.google.protobuf.Int64Value.getDefaultInstance() : start_;
      }
    }
    /**
     * <pre>
     * Start date and time of this interval.
     * </pre>
     *
     * <code>.google.protobuf.Int64Value start = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder> 
        getStartFieldBuilder() {
      if (startBuilder_ == null) {
        startBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            com.google.protobuf.Int64Value, com.google.protobuf.Int64Value.Builder, com.google.protobuf.Int64ValueOrBuilder>(
                getStart(),
                getParentForChildren(),
                isClean());
        start_ = null;
      }
      return startBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:commonmodule.DateTimeInterval)
  }

  // @@protoc_insertion_point(class_scope:commonmodule.DateTimeInterval)
  private static final openfmb.commonmodule.DateTimeInterval DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.commonmodule.DateTimeInterval();
  }

  public static openfmb.commonmodule.DateTimeInterval getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<DateTimeInterval>
      PARSER = new com.google.protobuf.AbstractParser<DateTimeInterval>() {
    @java.lang.Override
    public DateTimeInterval parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<DateTimeInterval> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<DateTimeInterval> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.commonmodule.DateTimeInterval getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

